## net.sf.jftp.gui.framework
Class FileTransferable

    java.lang.Object
      net.sf.jftp.gui.framework.FileTransferable

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

    public class FileTransferable

extends java.lang.Object
implements java.awt.datatransfer.Transferable

Field Summary
`static java.awt.datatransfer.DataFlavor[]` `flavors`
`static java.awt.datatransfer.DataFlavor` `plainTextFlavor`

Constructor Summary
`FileTransferable()`

Method Summary
`java.lang.Object` `getTransferData(java.awt.datatransfer.DataFlavor flavor)`
`java.awt.datatransfer.DataFlavor[]` `getTransferDataFlavors()`
`boolean` `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plainTextFlavor

    public static final java.awt.datatransfer.DataFlavor plainTextFlavor

### flavors

    public static final java.awt.datatransfer.DataFlavor[] flavors

Constructor Detail

### FileTransferable

    public FileTransferable()

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`